// Learn more https://docs.expo.io/guides/customizing-metro
// const { getDefaultConfig } = require('expo/metro-config');

// const defaultConfig = getDefaultConfig(__dirname);
// defaultConfig.resolver.assetExts.push('svg');
// console.log("Metro Config")
// console.log( defaultConfig.resolver.assetExts)
// console.log(defaultConfig.resolver.sourceExts)

// module.exports = defaultConfig;


// const { getDefaultConfig } = require('expo/metro-config');

// module.exports = (async () => {
//     const {
//         resolver: { sourceExts, assetExts },
//     } = await getDefaultConfig();
//     return {
//         resolver: {
//             assetExts: [assetExts, 'txt', 'xml', 'png', 'jpg', 'pb', 'tflite'],
//             sourceExts: [...sourceExts, 'txt', 'xml', 'png', 'jpg', 'pb', 'tflite'],
//         },
//     };
// })();

const { getDefaultConfig } = require("expo/metro-config");
module.exports = (async () => {
    const {
        transformer,
        resolver: { sourceExts, assetExts, ...resolver },
        ...config
    } = await getDefaultConfig(__dirname);
    return {
        ...config,
        transformer: {
            ...transformer,
            babelTransformerPath: require.resolve("react-native-svg-transformer")
        },
        resolver: {
            ...resolver,
            assetExts: assetExts.filter(ext => ext !== "svg"),
            sourceExts: [...sourceExts, "svg"]
        }
    };
})();